Subject: Re: [bug#30340] [PATCH 1/6] gnu: qtbase: Use the store paths for other packages and dynamically loaded libs.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 16 Feb 2018 17:49:33 +0100

Hartmut Goebel <[email-masked]> skribis:

> Am 13.02.2018 um 23:48 schrieb Marius Bakke:
>>> I do not care about the comments, but FMPOV it is important to document
>>> somehow in the code or in the commits that all patches as of 2018-01-19
>>> have been considered. an alternative would be to group these few commits
>>> into a (very short) branch and documenting the fact in the merge-commit.
>>>
>>> WDYT?
>> I don't think the comments are all that useful.  They only add noise in
>> the commit log and the code -- since we have a working and up-to-date
>> Qt, it is implied that we don't need anything more from NixOS or
>> elsewhere.
>>
> @Ludo: What's you opinion on this? (See also
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30340#62)

I don’t have much to add.  It’s good to add comments for things that
aren’t obvious by looking at the ‘substitute*’ sequences, but for
obvious things it’s “noise” indeed.

At any rate, this shouldn’t hold the patches back.

Thanks,
Ludo’.